*, *::before, *::after{
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body{
  background-color: #F9F9F9;
}

figure{
  width: 25%;
  margin: 0 auto;
}

hr{
  background-color: rgb(0, 0, 0);
  height: 6px;
  border-color: red;
  margin-top: 5%;
  margin-bottom: 5%;
}
p, h1{
  font-family: "Ubuntu Mono", monospace;
}

p{
  margin-left: 25px;
  margin-bottom: 5%;
  color: #97118b;
  font-size: 20px;
}

h1{
  text-align: center;
  font-weight: 400;
  font-size: 75px;
  font-style: italic;
  padding-bottom: 5%;
}

#videos{
  display: flex;
  gap: 5%;
  margin: 0 20%;
  padding-bottom: 5%;
}

#video-1, #video-2{
  width: 25rem;
  height: 25rem;
}

#video-1:hover{
  border: 4px solid #ffff61;
  box-shadow: 2px 3px 2px red;
}

#video-2:hover{
  border: 4px solid hotpink;
  box-shadow: 2px 3px 2px black;
}

@media screen and (min-width: 769px) and (max-width: 1024px){
  img{
    width: 100%;
    max-width: 400px;
    padding: 0.7rem;
  }
  figure{
    position: relative;
    top: 10px;
  }

  p{
    line-height: 2.0;
    margin-left: 10px;
    margin-right: auto;
    font-size: 16px;
  }

  h1{
    font-size: 50px;
    margin-bottom: 5%;
  }

  #videos{
    margin: 0 auto;
    width: 50%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
    justify-content: center;
  }

  #videos iframe{
    width: 100%;   /* fixes bottom scroll */
    max-width: 25rem;
    height: 150%;
  }
}

/* bigger phones */
@media screen and (min-width: 481px) and (max-width: 768px){
  img{
    width: 110%;
    max-width: 400px;
    padding: 0.7rem;
  }
  figure{
    position: relative;
    top: 10px;
  }

  p{
    margin-left: auto;
    margin-right: auto;
    font-size: 18px;
    line-height: 24px;
    max-width: 90%;
  }

  h1{
    font-size: min(5vw, 22px);
    max-width: 90%;
    margin: 0 auto;
    line-height: 1.3;
  }

  #videos{
    padding-top: 5%;
    padding-bottom: 5%;
    display: grid;
    gap: 3%;
    justify-content: space-evenly;
    margin-right: auto;
    margin-left: auto;
    }

  #videos iframe{
    width: 15rem;
    height: 15rem;
    margin-left: 20px;
  }
}

@media screen and (max-width: 480px){

  img{
    width: 110%;
    max-width: 400px;
    padding: 0.7rem;
  }
  figure{
    position: relative;
    top: 10px;
  }

  p{
    margin-left: auto;
    margin-right: auto;
    font-size: 13px;
    line-height: 24px;
    max-width: 90%;
  }

  h1{
    font-size: min(5vw, 22px);
    max-width: 90%;
    margin: 0 auto;
    line-height: 1.3;
  }

  #videos{
    padding-top: 5%;
    padding-bottom: 5%;
    display: grid;
    gap: 3%;
    justify-content: space-evenly;
    margin-right: auto;
    margin-left: auto;
    }

  #videos iframe{
    width: 10rem;
    height: 10rem;
    margin-left: 20px;
    margin-bottom: 2rem;
  }
}